


.align      4
.arm

.section    .text

.global		entry

entry:

//setup stack
		ldr     sp, =_sstack							//sp = _sstack (see .lds file)

//clear the sero segment
		ldr     r0, =_szero
		ldr     r1, =_ezero
		mov     r2, #0			//value to be written (0)
1:
		cmp     r0, r1
		strcc   r2, [r0], #4
		bcc     1b

//branch to main
		ldr     r0, =main	//load address of main to r0
		mov     lr, pc		//move value in PC into link register
		bx      r0			//branch to main

//generate swi FF when program is finished
		swi		0xFF

.end
