#ifndef __PLAYER_CORE_WAVE_H__
#define __PLAYER_CORE_WAVE_H__

enum {
	DECK_CORE_OK = 0,
	DECK_CORE_END_OF_TRACK = 1,
	DECK_CORE_ERROR = 2,
};


uint32_t deckCoreWaveInit(void);
uint32_t deckCoreWaveStartRecord(FIL *pFile);
uint32_t deckCoreWaveStartPlay(FIL *pFile);
uint32_t deckCoreWaveRestartPlay(void);
uint32_t deckCoreWaveStop(void);
uint32_t deckCoreWaveFinishRecording(void);
uint32_t deckCoreWaveFastForward(void);
uint32_t deckCoreWaveRewind(void);
uint32_t deckCoreWaveGetCurrentPlayPos(void);
uint32_t deckCoreWaveGetCurrentRecordPos(void);
uint32_t deckCoreWaveRecord(void);
uint32_t deckCoreWavePlay(void);
void deckCoreGetPeakLevels(uint32_t *peakArray);

#endif

