#ifndef __DECK_CORE_H__
#define __DECK_CORE_H__

#include "stereo_codec_ctrl.h"

#define SSC					AT91C_BASE_SSC0
#define SSC_ID				AT91C_ID_SSC0



void codecInit(void);
void codecStartTx(void);
void codecStartRx(void);
void codecStopTx(void);
void codecStopRx(void);
inline uint8_t codecGetTxBufferIndex(void);
inline uint8_t codecGetRxBufferIndex(void);
inline uint32_t codecTxNeedsData(void);
inline uint32_t codecRxNeedsData(void);
uint32_t codecTxUnderrun(void);
uint32_t codecRxUnderrun(void);
void codecTxFeed(int16_t *buffer, uint16_t len);
void codecRxFeed(int16_t *buffer, uint16_t len);

#endif

