#ifndef __STEREO_CODEC_CTRL_H__
#define __STEREO_CODEC_CTRL_H__

enum {
	CODEC_INPUT_LINE = 0,
	CODEC_INPUT_MIC = 1,
};

uint32_t codecCtrlInit(void);
void codecCtrlReset(void);
void codecSetPlaybackVolume(uint32_t volumeCode);
void codecSetRecordVolume(int32_t volumeCode);
uint32_t codecRegisterDump(void);
uint32_t codecSelectInput(uint32_t input);
void codecSetTreble(uint32_t treble);
void codecSetBass(uint32_t bass);

uint32_t codecWriteRegister(uint8_t address, uint16_t data);
uint16_t codecReadRegister(uint8_t address);

#endif
