#ifndef __CAMERA_H__
#define __CAMERA_H__

#define CAM_IMAGE_X_SIZE		640
#define CAM_IMAGE_Y_SIZE		480
#define CAM_PREVIEW_X_SIZE		128
#define CAM_PREVIEW_Y_SIZE		96
#define CAM_BYTES_PER_PIXEL		2
#define CAM_DECIMATION			(5*16)

#define CAM_TYPE_PO2030	0x2030	//PO2030N
#define CAM_TYPE_PO6030	0x6030	//PO6030K
#define CAM_TYPE_NONE	0


uint32_t camInit(void *previewBuffer, void *imageBuffer);
void camShowTestScreen(uint32_t number);
uint32_t camCaptureStillImage(void);

#endif

