#include "common.h"



void init(void)
{
	// enable peripheral clock for PIO controller
	AT91C_BASE_PMC->PMC_PCER = (1<<AT91C_ID_PIOA) | (1<<AT91C_ID_PIOB) | (1<<AT91C_ID_PIOC);
	LEDS_INIT;
	debug_init_default();
	
	debug_msg("AT91SAM9260 Empty Project");
	
}



int main( void )
{
	init();
	
	debug_msg("entering main loop");
	
	for(;;)
	{
		LED_Y_TOGGLE;
		delay_ms(100);
	}
	return(0);
}

